---
search:
  tags:
    - Channels
    - DELETE
seo:
  description: >-
    Deletes a channel. Related records are… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id} endpoint in the
    Management API.
sidebar:
  label: Delete a channel
  badge: DELETE
title: Delete a channel
type: openapi-operation
---
Deletes a channel. Related records are cascade-deleted by the database.

`DELETE /api/v1/{team_slug}/{app_slug}/channels/{channel_id}`

**Responses**

- `200` — Channel deleted successfully
- `400` — Invalid channel ID
- `404` — Channel not found
- `500` — Internal server error

Response example, 200:

```json
{
  "message": "string",
  "success": true
}
```
